ggiCrossBlit(3ggi)

NAME
ggiCrossBlit - Copy a rectangular area between two visuals

SYNOPSIS
#include <ggi/ggi.h>

int ggiCrossBlit(ggi_visual *src, int sx, int sy, int sw, int sh, ggi_visual *dst, int dx, int dy); .SH "DESCRIPTION"

Blits a rectangular memory area from one visual to another. It handles colorspace-conversion. (Though it can be quite expensive, so take care.)

ggiCrossBlit will transfer an area from the source visual's read frame to the destination visual's write frame.

This function does not perform stretching.

RETURN VALUE

0 for OK, otherwise an error code.

SEE ALSO
ggiCopyBox(3)